<html>
<head>
<meta charset="utf-8"/>
	<title>Edit</title>
	<h1>Edit GPU information</h1>
	
	</head>
	<body>


<h3>Edit GPU details:</h3>
		<form method = "post" action ="/edit" type= "submit">
			Name:	<input type = "text" name = "name" value='{{search_key.key.id()}}' readonly></input>
			<br>
			Manufacturer:	<input type = "text" name = "manufacturer" value='{{search_key.manufacturer}}'></input>
			<br>
			Date Issued:	<input type = "text" name = "date_issued" value='{{search_key.date_issued}}'></input>
			<br>
			GeometryShader:	<input type = "checkbox" name = "geometryShader" {% if search_key.geometryShader %}
																					checked=true
																					{% endif %}></input>
			<br>
			TesselationShader:	<input type = "checkbox" name = "tesselationShader" {% if search_key.tesselationShader %}
																					checked=true
																					{% endif %}></input>
			<br>
			ShaderInt16:	<input type = "checkbox" name = "shaderInt16" {% if search_key.shaderInt16 %}
																					checked=true
																					{% endif %}></input>
			<br>
			SparseBinding:	<input type = "checkbox" name = "sparseBinding" {% if search_key.sparseBinding %}
																					checked=true
																					{% endif %}></input>
			<br>
			TextureCompressionETC2:	<input type = "checkbox" name = "textureCompressionETC2" {% if search_key.textureCompressionETC2 %}
																					checked=true
																					{% endif %}></input>
			<br>
			VertexPipelineStoresAndAtomics:	<input type = "checkbox" name = "vertexPipelineStoresAndAtomics" 
																					{% if search_key.VertexPipelineStoresAndAtomics %}
																					checked=true
																					{% endif %}></input>
			<br>
			<input type="submit" value="Update" name="button"></input>

		</form>
		<form method = "post" action ="/edit" type= "submit">
			<input type="submit" value="Cancel" name="button"></input>
		</form>
</body>
</html>
